<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Mon Dec 11 11:05:54 CET 2023 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-12-11">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../SatellitesBalises/module-summary.html">Module</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">V</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../SatellitesBalises/back/mobileElement/Satellite.html" class="type-name-link" title="class in back.mobileElement">Satellite</a> - Class in <a href="../SatellitesBalises/back/mobileElement/package-summary.html">back.mobileElement</a></dt>
<dd>
<div class="block">Classe représentant un satellite.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Satellite.html#%3Cinit%3E()" class="member-name-link">Satellite()</a> - Constructor for class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Satellite.html" title="class in back.mobileElement">Satellite</a></dt>
<dd>
<div class="block">Crée un satellite.</div>
</dd>
<dt><a href="../SatellitesBalises/module-summary.html">SatellitesBalises</a> - module SatellitesBalises</dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/EventHandler.html#send(back.event.AbstractEvent)" class="member-name-link">send(AbstractEvent)</a> - Method in class back.<a href="../SatellitesBalises/back/EventHandler.html" title="class in back">EventHandler</a></dt>
<dd>
<div class="block">Envoi un évènement à tous les éléments enregistrés au type de l'évènement.</div>
</dd>
<dt><a href="../SatellitesBalises/back/event/AbstractEvent.html#sendTo(java.lang.Object)" class="member-name-link">sendTo(Object)</a> - Method in class back.event.<a href="../SatellitesBalises/back/event/AbstractEvent.html" title="class in back.event">AbstractEvent</a></dt>
<dd>
<div class="block">Méthode abstraite permettant d'envoyer un évènement.</div>
</dd>
<dt><a href="../SatellitesBalises/back/event/AvailableForSynchronisation.html#sendTo(java.lang.Object)" class="member-name-link">sendTo(Object)</a> - Method in class back.event.<a href="../SatellitesBalises/back/event/AvailableForSynchronisation.html" title="class in back.event">AvailableForSynchronisation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/event/SynchronisationEnded.html#sendTo(java.lang.Object)" class="member-name-link">sendTo(Object)</a> - Method in class back.event.<a href="../SatellitesBalises/back/event/SynchronisationEnded.html" title="class in back.event">SynchronisationEnded</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/event/SynchronisationInProgress.html#sendTo(java.lang.Object)" class="member-name-link">sendTo(Object)</a> - Method in class back.event.<a href="../SatellitesBalises/back/event/SynchronisationInProgress.html" title="class in back.event">SynchronisationInProgress</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Water.html#setBeacons(java.util.List)" class="member-name-link">setBeacons(List&lt;Beacon&gt;)</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Water.html" title="class in back.staticElement">Water</a></dt>
<dd>
<div class="block">Définit la liste des balises.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/MobileElement.html#setBottomLeft(java.awt.Point)" class="member-name-link">setBottomLeft(Point)</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/MobileElement.html" title="class in back.mobileElement">MobileElement</a></dt>
<dd>
<div class="block">Définit les coordonnées bas-gauche de l'élément.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#setCapacity(int)" class="member-name-link">setCapacity(int)</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Définit la capacité de la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#setCurrentDepth(int)" class="member-name-link">setCurrentDepth(int)</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Définit la profondeur actuelle de la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#setDefaultDepth(int)" class="member-name-link">setDefaultDepth(int)</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Définit la profondeur par défaut de la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#setIsFull(boolean)" class="member-name-link">setIsFull(boolean)</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Définit l'état de stockage de la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#setMaxX(int)" class="member-name-link">setMaxX(int)</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Définit la coordonnée maximale sur l'axe X.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#setMaxY(int)" class="member-name-link">setMaxY(int)</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Définit la coordonnée maximale sur l'axe Y.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#setMinX(int)" class="member-name-link">setMinX(int)</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Définit la coordonnée minimale sur l'axe X.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#setMinY(int)" class="member-name-link">setMinY(int)</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Définit la coordonnée minimale sur l'axe Y.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/MobileElement.html#setMoveStrategy(back.movement.MoveStrategy)" class="member-name-link">setMoveStrategy(MoveStrategy)</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/MobileElement.html" title="class in back.mobileElement">MobileElement</a></dt>
<dd>
<div class="block">Définit la stratégie actuelle de déplacement.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Air.html#setSatellites(java.util.List)" class="member-name-link">setSatellites(List&lt;Satellite&gt;)</a> - Method in class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Air.html" title="class in back.staticElement">Air</a></dt>
<dd>
<div class="block">Définit la liste de satellites.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#setStorage(int)" class="member-name-link">setStorage(int)</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Définit la quantité stockable par la balise.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/MobileElement.html#setTopRight(java.awt.Point)" class="member-name-link">setTopRight(Point)</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/MobileElement.html" title="class in back.mobileElement">MobileElement</a></dt>
<dd>
<div class="block">Définit les coordonnées haut-droite de l'élément.</div>
</dd>
<dt><a href="../SatellitesBalises/view/Simulation.html" class="type-name-link" title="class in view">Simulation</a> - Class in <a href="../SatellitesBalises/view/package-summary.html">view</a></dt>
<dd>
<div class="block">Classe contenant la méthode main.</div>
</dd>
<dt><a href="../SatellitesBalises/view/Simulation.html#%3Cinit%3E()" class="member-name-link">Simulation()</a> - Constructor for class view.<a href="../SatellitesBalises/view/Simulation.html" title="class in view">Simulation</a></dt>
<dd>
<div class="block">Crée la simulation.</div>
</dd>
<dt><a href="../SatellitesBalises/back/SimulationContext.html" class="type-name-link" title="class in back">SimulationContext</a> - Class in <a href="../SatellitesBalises/back/package-summary.html">back</a></dt>
<dd>
<div class="block">Contexte de la simulation.</div>
</dd>
<dt><a href="../SatellitesBalises/back/SimulationContext.html#%3Cinit%3E(int,int)" class="member-name-link">SimulationContext(int, int)</a> - Constructor for class back.<a href="../SatellitesBalises/back/SimulationContext.html" title="class in back">SimulationContext</a></dt>
<dd>
<div class="block">Crée un contexte de simulation.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html" class="type-name-link" title="class in back.staticElement">Space</a> - Class in <a href="../SatellitesBalises/back/staticElement/package-summary.html">back.staticElement</a></dt>
<dd>
<div class="block">Classe abstraite représentant un espace dans lequel des éléments mobiles se
 déplacent.</div>
</dd>
<dt><a href="../SatellitesBalises/back/staticElement/Space.html#%3Cinit%3E(int,int,int,int)" class="member-name-link">Space(int, int, int, int)</a> - Constructor for class back.staticElement.<a href="../SatellitesBalises/back/staticElement/Space.html" title="class in back.staticElement">Space</a></dt>
<dd>
<div class="block">Crée un espace.</div>
</dd>
<dt><a href="../SatellitesBalises/view/Simulation.html#startGraphicAnimation()" class="member-name-link">startGraphicAnimation()</a> - Method in class view.<a href="../SatellitesBalises/view/Simulation.html" title="class in view">Simulation</a></dt>
<dd>
<div class="block">Lance les étapes de simulation.</div>
</dd>
<dt><a href="../SatellitesBalises/back/mobileElement/Beacon.html#storeData()" class="member-name-link">storeData()</a> - Method in class back.mobileElement.<a href="../SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a></dt>
<dd>
<div class="block">Stockage d'une donnée.</div>
</dd>
<dt><a href="../SatellitesBalises/back/event/SynchronisationEnded.html" class="type-name-link" title="class in back.event">SynchronisationEnded</a> - Class in <a href="../SatellitesBalises/back/event/package-summary.html">back.event</a></dt>
<dd>
<div class="block">Évènement "Synchronisation terminée" d'un satellite pour la balise auquel il
 était en train de se synchroniser.</div>
</dd>
<dt><a href="../SatellitesBalises/back/event/SynchronisationEnded.html#%3Cinit%3E(back.mobileElement.MobileElement)" class="member-name-link">SynchronisationEnded(MobileElement)</a> - Constructor for class back.event.<a href="../SatellitesBalises/back/event/SynchronisationEnded.html" title="class in back.event">SynchronisationEnded</a></dt>
<dd>
<div class="block">Crée l'évènement "Synchronisation terminée".</div>
</dd>
<dt><a href="../SatellitesBalises/back/event/SynchronisationInProgress.html" class="type-name-link" title="class in back.event">SynchronisationInProgress</a> - Class in <a href="../SatellitesBalises/back/event/package-summary.html">back.event</a></dt>
<dd>
<div class="block">Évènement "Synchronisation en cours" d'une balise lorsqu'elle se synchronise
 avec un satellite disponible.</div>
</dd>
<dt><a href="../SatellitesBalises/back/event/SynchronisationInProgress.html#%3Cinit%3E(back.mobileElement.MobileElement)" class="member-name-link">SynchronisationInProgress(MobileElement)</a> - Constructor for class back.event.<a href="../SatellitesBalises/back/event/SynchronisationInProgress.html" title="class in back.event">SynchronisationInProgress</a></dt>
<dd>
<div class="block">Crée l'évènement "Synchronisation en cours".</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">V</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../serialized-form.html">Serialized&nbsp;Form</a></main>
</div>
</div>
</body>
</html>
